﻿@model StarterProjectV2.ViewModels.BookingHistoryByFinancialYearView

<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Booking Management History
}
<!DOCTYPE html>
@*<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>*@
<div class="card" style="margin-bottom: 0">
    <div class="card-body">
        <div class="table-responsive-lg mb-5">
            <ol class="breadcrumb mb-5" id="breadcrumb_nav">

                <div class="btn-group m-auto" role="group" aria-label="Button group">

                    @*<a class="btn" href="#" id="newItem">
                    <i class="icon-docs"></i> New
                </a>*@
                    @*<a class="btn" href="#" id="editItem">
                    <i class="icon-notebook"></i> Edit
                </a>
                <a class="btn" href="#" id="saveItem">
                    <i class="icon-drawer"></i> Save
                </a>*@
                    <a class="btn" href="#" id="reloadItem">
                        <i class="icon-refresh"></i> Reload
                    </a>
                    @*<a class="btn" href="#" id="deleteItem">
                    <i class="icon-trash"></i> Delete
                </a>*@
                    <a class="btn" href="#" id="printItem">
                        <i class="icon-printer"></i> Print
                    </a>
                    @*<a class="btn" href="#" id="reportItem">
                    <i class="icon-doc"></i> Report
                </a>
                <a class="btn" href="#" id="dashboardItem">
                    <i class="icon-graph"></i>  Dashboard
                </a>*@
                </div>
            </ol>
            <h3 align="center" style="color:indianred">Previous Room Bookings</h3>

            @{
                int noOfdata = Model.FinancialYearIDList.Count();
            }
            @if (noOfdata != 0)
            {
                for (int i = 0; i < @Model.FinancialYearIDList.Count; i++)
                {
                    <h3 style="background-color: #20a8d8 !important; text-align: center; margin-top: 20px; padding: 10px">Financial Year: @Model.FinancialYearNameList.ElementAt(i)</h3>
                    <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                        <thead style="color: white; background-color:#315152">

                            <tr>
                                @*<th scope="col">Id</th>*@
                                <th scope="col">Booking Token</th>
                                <th scope="col">Main Guest Name</th>
                                <th scope="col">Main Guest Mobile</th>
                                <th scope="col">No of Adult</th>
                                <th scope="col">No of Child</th>
                                <th scope="col">No of Room</th>
                                <th scope="col">Arrival Date</th>
                                <th scope="col">Departure Date</th>
                                <th scope="col">Booking Status</th>
                                <th scope="col">Checked In</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var ownerRoomBooking in Model.OwnerRoomBookingHistory.ElementAt(i))
                            {
                                <tr>
                                    @*<td>@ownerRoomBooking.GuestNameMain</td>*@
                                    @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                                    {
                                        <td>Not Assigned</td>
                                    }
                                    else
                                    {
                                        <td>@ownerRoomBooking.BookingToken</td>
                                    }
                                    @*<td>@ownerRoomBooking.OwnerRoomBookngId</td>*@
                                    <td>@ownerRoomBooking.GuestNameMain</td>
                                    <td>@ownerRoomBooking.GuestMobile</td>
                                    @*<td>@ownerRoomBooking.Email</td>*@
                                    <td>@ownerRoomBooking.NoOfAdult</td>
                                    <td>@ownerRoomBooking.NoOfChild</td>
                                    <td>@ownerRoomBooking.NoOfRoomRequested</td>
                                    @{
                                        var Startdate = Convert.ToDateTime(ownerRoomBooking.Startdate);
                                        var val1 = Startdate.ToString("dd-MMM-yyyy");
                                        <td>@val1</td>
                                    }
                                    @*<td>@ownerRoomBooking.Startdate</td>*@
                                    @{
                                        var Enddate = Convert.ToDateTime(ownerRoomBooking.Enddate);
                                        var val2 = Enddate.ToString("dd-MMM-yyyy");
                                        <td>@val2</td>
                                    }

                                    @if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "NO")
                                    {
                                        <td>Pending</td>
                                    }
                                    else if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "YES")
                                    {
                                        <td>Approved<i class="fa fa-check fa-2x" aria-hidden="true"></i></td>
                                    }
                                    else if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "CANCELLED")
                                    {
                                        <td>Cancelled<i class="fa fa-close" aria-hidden="true"></i></td>
                                    }
                                    else
                                    {
                                        @ownerRoomBooking.IsBookingCompleted
                                    }
                                    <td>@ownerRoomBooking.HasStayedOrNot</td>
                                </tr>
                            }

                        </tbody>
                    </table>
                }
            }
        </div>
    </div>
</div>

@*Send Notification to Room Admin that The Owner Has Cancelled his room booking for vacation*@
<script>
    function functionforSMS() {
        var checkedOwner = $('#selected-owner:checked').map(function () {
            return this.value;
        }).get();
        //alert($("#mytextarea1").val());

        var myModel = {
            OwnerIdList: checkedOwner,
            SMSText: $("#mytextarea1").val()
        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnersInfoForSendingSMS/',
            data: myModel,
            success: function (result) {
            },
            error: function () {
                //error();
            }
        });
    }
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });

    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "Booking")';
        });

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        $("#reportItem").remove();
    });
</script>
